<html>
    <head>        
    </head>
    <body>
        <div id="content"></div>    
       
        <fieldset>
            <legend>Choose your favorite Coffee</legend>
            <input type="checkbox" id="americano" name="americano"/>
            <label for="americano">Americano</label><br/>
            <input type="checkbox" id="cappuccino" name="cappuccino" />
            <label for="cappuccino">Cappuccino</label><br/>
            <input type="checkbox" id="latte-macchiato" name="latte-macchiato" />
            <label for="latte-macchiato">Latte Macchiato</label>
        </fieldset>

        <p id="choice"></p>

        <script>
            function print(text)
            {
                document.getElementById("choice").innerHTML += text;
            }

            function init()
            {
                const inputs = document.querySelectorAll("input");

                for (var i=0; i<inputs.length; ++i)
                {
                    inputs[i].onclick = function() { print(inputs[i].name + " "); };
                }
            }

            init();
        </script>

    </body>
</html>